% GetValueMatrix.m
%
% Returns a matrix with the values between the two data columns.
% The rows of the returned matrix correspond to the first data 
% and the columns to the second data.
%
% input:
%   dataRow - nx1 data
%   dataCol - nx1 data
%
% output:
%   res     - kxm, where k are the unique values above 0 of dataRow and m are the
%             unique values above 1 of dataCol. It values contain the number of 
%             observations

function res = GetValueMatrix(dataRow, dataCol)
    dataCol = dataCol(dataRow > 0);
    dataRow = dataRow(dataRow > 0);

    dataRow = dataRow(dataCol > 0);
    dataCol = dataCol(dataCol > 0);

    for row=1:max(dataRow)
        for col=1:max(dataCol)
            res(row,col) = sum(dataRow == row & dataCol == col);
        end
    end
end
