% LoadResponses.m
%
% This function loads the responses from all the converted questionnaires
%
% input:
%   inputFile   - file with responses as returned from ConvertCSVdata.m function
%
% output:
%   qIds        - question IDs. nx1 cell array
%   dIds        - data IDs. nx1 array with holding the questionnaire IDs
%   data        - nxm array holding the responses to questions. -1 means no answer

function [qIds, dIds, data] = LoadResponses(inputFile)
    %tmp = importdata(inputFile);

    %qIds = {tmp.colheaders{2:end}}';
    %dIds = tmp.data(:,1);
    %data = tmp.data(:,2:end);

    fid = fopen(inputFile);
    line = fgetl(fid);
    tmpLine = strsplit(line, ',');
    qIds = {tmpLine{2:end}}';

    dIds = [];
    data = [];
    line = fgetl(fid);
    while ischar(line)
        tmpLine = strsplit(line, ',');
        id = str2num(tmpLine{1,1});
        tmpData = zeros(1, size(tmpLine,2)-1);
        for i=1:size(tmpData,2)
            tmpData(i) = str2num(tmpLine{1,i+1});
        end

        dIds = [dIds; id];
        data = [data; tmpData];
        line = fgetl(fid);
    end
end
