% PlotData.m
%
% This function plots the data from the provided files
%
% input:
%   questX      - string for the question to plot in the x axis. In the form ex. '1_1'
%   questY      - string for the question to plot in the Y axis. In the form ex. '2_7'
%   qIds        - question IDs as loaded from the *_question_choices.txt file
%   qChoices    - question choices as loaded from the *_question_choices.txt file
%   qtIds       - question IDs for the question content as loaded from the *_questions.txt file
%   questions   - question description
%   qrIds       - question IDs from the response files
%   data        - data from the responses

function PlotData(questX, questY, qIds, qChoices, qtIds, questions, qrIds, data)
    indX = GetPosition(qrIds, questX);
    dataX = data(:, indX);
    indY = GetPosition(qrIds, questY);
    dataY = data(:, indY);

    indX = GetPosition(qIds, questX);
    labelsX = qChoices{indX,1};
    indy = GetPosition(qIds, questY);
    labelsY = qChoices{indY,1};

    indX = GetPosition(qtIds, questX);
    xLabel = questions{indX,1};
    indY = GetPosition(qtIds, questY);
    yLabel = questions{indY,1};

    matrix = GetValueMatrix(dataY, dataX);

    PlotValueMatrix(matrix);
    xlim([0 size(labelsX,2)+1]);
    %xticks([1:size(labelsX,2)]);
    set(gca, 'xtick', [1:size(labelsX,2)]);
    %xticklabels(labelsX);
    set(gca, 'xticklabel', labelsX);
    xlabel(xLabel);

    ylim([0 size(labelsY,2)+1]);
    %yticks([1:size(labelsY,2)]);
    set(gca, 'ytick', [1:size(labelsY,2)]);
    %yticklabels(labelsY);
    set(gca, 'yticklabel', labelsY);
    ylabel(yLabel);
end
