% PlotDataNonSmokers.m
%
% This function calls PlotData for the non-smokers category
%
% input:
%   questX - string for the question to plot in the x axis. In the form ex. '1_1'
%   questY  - string for the question to plot in the Y axis. In the form ex. '2_7'

function PlotDataNonSmokers(questX, questY)
    [qIds, qChoices] = LoadQuestions('../data/non_smoker_question_choices.txt');
    [qtIds, questions] = LoadQuestions('../data/non_smoker_questions.txt');

    [qrIds, dIds, responses] = LoadResponses('../data/non_smoker_converted.csv');

    PlotData(questX, questY, qIds, qChoices, qtIds, questions, qrIds, responses);
end
